Subject: clippin

From: Bernie Roehl <[email-masked]>
Date: Tue, 22 Oct 91 16:25:52 EDT

> Now I am aware that the conversion from an object tree to a poly list
> (hopefully ordered in some way) is expensive and the BSP and ASP help
> here, but there are other ways to optimize this.  I am proposing a
> simple set of "enclosing" points for each object that would control
> the sorting, masking and clipping of each object.  This would reduce
> computations by 90% during list transversal.  Let me know what you think.

Sounds like a good idea; assign each object a bounding box and then clip
by objects before even worrying about polygons.

-- 
	Bernie Roehl, University of Waterloo Electrical Engineering Dept
	Mail: [email-masked] OR [email-masked]
	BangPath: watmath!sunee!broehl
	Voice:  (519) 885-1211 x 2607 [work]